%!TEX root=../../../thesis.tex
%!TEX file=content/caro-dynamics/planar/statics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Statics}\label{sec:caro-dynamics:planar:statics}

Without incorporating any cable force control or Cartesian position control algorithm, we desire the platform be located at~$\platpos_{\ms{set}} \equiv \transpose{ \left[ 0, 0 \right]} \si{\meter}$ with zero rotation \textIe~$\beta_{\ms{set}} \equiv \SI{0}{\radian}$.
Given the elasticity and unit density of the cables~(see~\cref{tbl:cable-dynamics:cable:mechanical-properties}), we expect noticeable cable sag resulting in inevitable platform deflection from its set point.

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{caro-dynamics--planar--statics--shape}
  \includegraphics[%
      width=0.75\linewidth,%
      axisratio=1.00,%
    ]{caro-dynamics/planar/statics/shape}
  \tikzexternaldisable%
  \caption{%
    Static response of the planar \MP{1}{2} \caro with \emph{rubber-like steel cables}.
    Target position of the platform is set to~$\platpos_{0} = \transpose{\left[ 0, 0 \right]} \si{\meter}$, whereas static equilibrium is attained with a vertical deflection of~$\SI{-0.520805133}{\meter}$.
    Cable sagging is apparent, in particular for the lower pair of cable, yet also the upper pair of cable do not form a perfectly straight line.
  }
  \label{fig:caro-dynamics:planar:statics:shape}
\end{figure}

Straightforward solving the static equilibrium with Newton's method described in~\cref{sec:caro-dynamics:multibody-cdpr:statics}, parametrized according to~\cref{tbl:caro-dynamics:statics:solver-parameters}, yields results as anticipated with the platform's vertical deflection of summing up to~$\Delta z \approx \SI{-0.520805133}{\meter}$.
The static response obtained from the Cosserat-rod based cable model differs by~$\SI{2}{\percent}$ from the result obtained using Irvine's cable model.
As such, the results are consistent with purely kinematics based formulations.
Lastly, a well-initialized iteration of the static equilibrium problem yields average iteration counts of less than~$\iterindex \leq 20$, with the particular case being solved in step \num{17} for the residual norm threshold~(see~\cref{fig:caro-dynamics:planar:statics:residuals}).

\begin{figure}[tbp]
  \centering
  \smaller[1]
  \tikzexternalenable%
  \tikzsetnextfilename{caro-dynamics--planar--statics--residuals}
  \includegraphics[%
      width=1.0\linewidth,%
      height=0.425531915\linewidth,%
    ]{caro-dynamics/planar/statics/residuals}
  \tikzexternaldisable%
  \caption{%
    Decay of residual norm~$\norm{\residual}$ during iteration solving the static equilibrium case for the planar \MP{1}{2} \caro.
  }
  \label{fig:caro-dynamics:planar:statics:residuals}
\end{figure}
